Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 692384 (CVE-2019-12308, CVE-2019-14232, CVE-2019-14233, CVE-2019-14234, CVE-2019-14235)

Summary: dev-python/django: multiple vulnerabilities CVE-2019-{12308,14232,14233,14234,14235})
Product: Gentoo Security Reporter: GLSAMaker/CVETool Bot <glsamaker>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: kari.hazzard, python
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: B2 [glsa+ cve]
Package list:
Runtime testing required: ---

Description GLSAMaker/CVETool Bot gentoo-dev 2019-08-17 22:22:51 UTC
CVE-2019-14235 (https://nvd.nist.gov/vuln/detail/CVE-2019-14235):
  An issue was discovered in Django 1.11.x before 1.11.23, 2.1.x before
  2.1.11, and 2.2.x before 2.2.4. If passed certain inputs,
  django.utils.encoding.uri_to_iri could lead to significant memory usage due
  to a recursion when repercent-encoding invalid UTF-8 octet sequences.

CVE-2019-14234 (https://nvd.nist.gov/vuln/detail/CVE-2019-14234):
  An issue was discovered in Django 1.11.x before 1.11.23, 2.1.x before
  2.1.11, and 2.2.x before 2.2.4. Due to an error in shallow key
  transformation, key and index lookups for
  django.contrib.postgres.fields.JSONField, and key lookups for
  django.contrib.postgres.fields.HStoreField, were subject to SQL injection.
  This could, for example, be exploited via crafted use of "OR 1=1" in a key
  or index name to return all records, using a suitably crafted dictionary,
  with dictionary expansion, as the **kwargs passed to the QuerySet.filter()
  function.

CVE-2019-14233 (https://nvd.nist.gov/vuln/detail/CVE-2019-14233):
  An issue was discovered in Django 1.11.x before 1.11.23, 2.1.x before
  2.1.11, and 2.2.x before 2.2.4. Due to the behaviour of the underlying
  HTMLParser, django.utils.html.strip_tags would be extremely slow to evaluate
  certain inputs containing large sequences of nested incomplete HTML
  entities.

CVE-2019-14232 (https://nvd.nist.gov/vuln/detail/CVE-2019-14232):
  An issue was discovered in Django 1.11.x before 1.11.23, 2.1.x before
  2.1.11, and 2.2.x before 2.2.4. If django.utils.text.Truncator's chars() and
  words() methods were passed the html=True argument, they were extremely slow
  to evaluate certain inputs due to a catastrophic backtracking vulnerability
  in a regular expression. The chars() and words() methods are used to
  implement the truncatechars_html and truncatewords_html template filters,
  which were thus vulnerable.

CVE-2019-12308 (https://nvd.nist.gov/vuln/detail/CVE-2019-12308):
  ** RESERVED ** This candidate has been reserved by an organization or
  individual that will use it when announcing a new security problem. When the
  candidate has been publicized, the details for this candidate will be
  provided.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-10-05 09:00:35 UTC
*** Bug 696396 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-10-26 18:18:22 UTC
@ maintainer(s): Please bump to >=2.2.4!
Comment 3 Larry the Git Cow gentoo-dev 2020-03-06 14:38:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d0858ec7469d1327e9fad71108a9a637469851e

commit 6d0858ec7469d1327e9fad71108a9a637469851e
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-03-06 14:13:35 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-03-06 14:38:30 +0000

    dev-python/django: Remove vulnerable (drop to ~arch)
    
    Bug: https://bugs.gentoo.org/692384
    Bug: https://bugs.gentoo.org/701744
    Bug: https://bugs.gentoo.org/706204
    Bug: https://bugs.gentoo.org/707998
    Bug: https://bugs.gentoo.org/711522
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/django/Manifest            |  4 --
 dev-python/django/django-2.1.8.ebuild | 88 ---------------------------------
 dev-python/django/django-2.1.9.ebuild | 88 ---------------------------------
 dev-python/django/django-2.2.1.ebuild | 91 -----------------------------------
 dev-python/django/django-2.2.2.ebuild | 91 -----------------------------------
 5 files changed, 362 deletions(-)
Comment 4 Yury German Gentoo Infrastructure gentoo-dev 2020-04-08 04:44:07 UTC
GLSA Vote: Yes
New GLSA Request filed.

Arches and Maintainer(s), Thank you for your work.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2020-04-30 23:32:17 UTC
This issue was resolved and addressed in
 GLSA 202004-17 at https://security.gentoo.org/glsa/202004-17
by GLSA coordinator Thomas Deutschmann (whissi).